Cygport Reference Manual

### TABLE OF CONTENTS

- qt5.cygclass

- QT5_QTDIR
- QT5_BINDIR
- QT5_INCLUDEDIR
- QT5_LIBDIR
- QT5_PLUGINSDIR
- QT5_IMPORTSDIR
- QT5_QMLDIR
- QT5_DATADIR
- QT5_MKSPECSDIR
- QT5_QMAKE
- QT5_MOC
- QT5_RCC
- QT5_UIC
- QT5_LRELEASE
- doqt5inc
- qt5pluginto
- doqt5plugin

## qt5.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit qt5

DESCRIPTION

Qt is a C++ cross-platform application framework for writing desktop GUI applications. Qt is the underlying toolkit used by the KDE desktop environment.

This cygclass provides definitions and install functions which can be used by all Qt5-based packages, regardless of the build system being used.

NOTES

- Packages based on the previous 3.x or 4.x versions of Qt must use qt3.cygclass or qt4.cygclass, respectively.

INHERITED BY

qt5-qmake.cygclass

## QT5_QTDIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Root directory for the Qt5 installation.

## QT5_BINDIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt5 build tools.

## QT5_INCLUDEDIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt5 library headers.

## QT5_LIBDIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt5 link libraries.

## QT5_PLUGINSDIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Qt5 plugins.

## QT5_IMPORTSDIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Qt5 Quick 1 extensions.

## QT5_QMLDIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Qt5 Quick 2 extensions.

## QT5_DATADIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing Qt5 documentation, and translation data.

## QT5_MKSPECSDIR

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Qt5 QMake specs files.

## QT5_QMAKE

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt5 project and Makefile generator

## QT5_MOC

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt5 Meta-Object Compiler

## QT5_RCC

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt5 resource compiler

## QT5_UIC

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt5 User Interface Compiler

## QT5_LRELEASE

[ Top ] [ qt5.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt5 Linguist translation compiler

## doqt5inc

[ Top ] [ qt5.cygclass ] [ Install Functions ]

SYNOPSIS

      doqt5inc HEADERS

DESCRIPTION

Installs headers into QT5_INCLUDEDIR under $D.

## qt5pluginto

[ Top ] [ qt5.cygclass ] [ Install Functions ]

SYNOPSIS

      qt5pluginto SUBDIRECTORY

DESCRIPTION

Sets the subdirectory of QT5_PLUGINDIR in which doqt5plugin should install. Supported subdirectories include:

- designer: Qt Designer widgets
- imageformats: image format handlers
- platformthemes: GUI style engines
- sqldrivers: SQL datbase backends

## doqt5plugin

[ Top ] [ qt5.cygclass ] [ Install Functions ]

SYNOPSIS

      qt5pluginto SUBDIRECTORY
      doqt5plugin PLUGINS

DESCRIPTION

Installs the given plugins into the subdirectory of QT5_PLUGINDIR passed to the previous call to qt5pluginto.